Subject: Re: [PATCH v5 2/5] ref-cache: remove unused function 'find_ref_entry()'

From: Junio C Hamano <[email-masked]>
Date: Thu, 17 Jul 2025 13:32:10 -0700

Karthik Nayak <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Karthik Nayak <[email-masked]> writes:
>>
>>> The 'find_ref_entry' function is no longer used, so remove it.
>>
>> If my spelunking is correct, ba1c052f (ref_store: implement
>> `refs_peel_ref()` generically, 2017-09-25) is the commit that
>> removed the last caller of it.  Which may be worth noting here.
>>
>
> Indeed, I could also verify this by running
>
> $ git log -S find_ref_entry --oneline
> 2c90b85801 ref-cache: remove unused function 'find_ref_entry()'
> ba1c052fa6 ref_store: implement `refs_peel_ref()` generically
> 9939b33d6a packed-backend: rip out some now-unused code
> ....
>
> And looking at `ba1c052fa6`. I should've done this before. But thanks
> for the digging!
>
> I plan to address a few comments on this version, but I also see that
> you've merged it to master. Should I raise followups for noteworthy
> changes or a new version?

You mean it is now in 'next'?  Yes, please give incremental patches.
Finding some more gotchas even after v5 is a sign that they are
tricky enough that deserve separate explanation from the main part
of the series.  And I think the msan one Kyle and Peff found is also
tricky enough that evaded reviewers' eyes.

Thanks.